TagLibraryResolver (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class TagLibraryResolver

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.ext.jsp.TagLibraryResolver

All Implemented Interfaces:
  GrailsApplicationAware, org.springframework.web.context.ServletContextAware

    class TagLibraryResolver
    extends java.lang.Object

Resolves all of the available tag libraries from web.xml and all available JAR files. Kudos to the Freemarker (http://freemarker.sourceforge.net/) library for providing the inspiration for this code.

Authors:
  Graeme Rocher

Property Summary
`GrailsApplication` | `grailsApplication`
`javax.servlet.ServletContext` | `servletContext`

Method Summary
`protected java.util.List` | `getJarsFromServletContext()`
`protected java.io.InputStream` | `getTldFromServletContext(java.lang.String loc)`
`protected org.springframework.core.io.Resource` | `getWebXmlFromServletContext()`
`protected java.lang.Object` | `resolveRootLoader()` Obtains a reference to the RootLoader instance
`JspTagLib` | `resolveTagLibrary(java.lang.String uri)` Resolves a JspTagLib instance for the given URI

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### grailsApplication

    GrailsApplication grailsApplication

### servletContext

    javax.servlet.ServletContext servletContext

Method Detail

### getJarsFromServletContext

    protected java.util.List getJarsFromServletContext()

### getTldFromServletContext

    protected java.io.InputStream getTldFromServletContext(java.lang.String loc)

### getWebXmlFromServletContext

    protected org.springframework.core.io.Resource getWebXmlFromServletContext()

### resolveRootLoader

    protected java.lang.Object resolveRootLoader()

  Obtains a reference to the RootLoader instance

### resolveTagLibrary

    JspTagLib resolveTagLibrary(java.lang.String uri)

  Resolves a JspTagLib instance for the given URI

Groovy Documentation